@media (min-width: 640px) and (max-width: 832px){
  .blog-card-side {
    flex-direction: column;
  }
}

@media (max-width: 1024px) {
  .nav-links{
    gap: 14px
  }
  .nav-links a{
    font-size: 12px;
  }
  .hero-grid { grid-template-columns: 1fr; }
  .hero-card { max-width: 480px; }
  .services-grid { grid-template-columns: repeat(2, 1fr); }
  .stats-grid { grid-template-columns: repeat(2, 1fr); }
  .stat-item:nth-child(2) { border-right: none; }
  .why-grid { grid-template-columns: 1fr; }
  .process-grid { grid-template-columns: repeat(2, 1fr); }
  .process-grid::before { display: none; }
  .areas-intro { grid-template-columns: 1fr; gap: 32px; }
  .areas-grid { grid-template-columns: repeat(3, 1fr); }
  .reviews-grid { grid-template-columns: repeat(2, 1fr); }
  .faq-layout { grid-template-columns: 1fr; }
  .faq-sidebar { position: static; }
  .footer-grid { grid-template-columns: 1fr 1fr; }
  .cta-box { grid-template-columns: 1fr; padding: 48px 36px; }
  .nav-phone{display: none!important;}
}

/* Nav Tablet */
.nav-menu {
  display: flex;
  align-items: center;
  flex: 1;
  justify-content: flex-end;
  gap: 24px;
}
.nav-inner {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.mobile-menu-btn {
  display: none;
}

/* Blog Tablet */
.blog-layout { grid-template-columns: 1fr; }
.blog-side-stack { flex-direction: row; }
.blog-card-side { flex: 1; }
.blog-bottom-row { grid-template-columns: repeat(2, 1fr); }

/* Mobile Menu at 860px */
@media (max-width: 860px) {
  .mobile-menu-btn {
    display: block !important;
  }

  nav{
    height: 75px;
  }

  .logo{
    height: 65px;
    width: 130px;
  }

  .nav-inner {
    flex-direction: column;
    align-items: stretch;
    height: auto;
    padding: 16px 24px;
    background: var(--white);
  }

  .nav-brand {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 40px;
  }

  .nav-menu {
    max-height: 0;
    opacity: 0;
    overflow: hidden;
    visibility: hidden;
    flex-direction: column;
    width: 100%;
    padding-top: 0;
    gap: 20px;
    transition: all 0.4s ease-in-out;
  }

  .nav-open .nav-menu {
    max-height: 500px;
    opacity: 1;
    visibility: visible;
    padding-top: 20px;
  }

  .nav-links {
    display: flex !important;
    flex-direction: column;
    align-items: center;
    gap: 16px;
  }

  .nav-cta {
    display: flex;
    flex-direction: column;
    width: 100%;
  }
}
